Subject: RE: [Mip6] concensus on [issue94] fixing encapsulation mechanism inIPv4 network

From: "Hesham Soliman" <[email-masked]>
Date: Wed, 4 Apr 2007 16:32:56 +1000

Ok, I don't think it's Tuesday anywhere in the world now, so it's time to
declare concensus for Option A. 

This means that the spec will allow the MN to request UDP tunnelling in the
BU. If the HA does not accept the UDP tunnelling request it will reject the
BU with a new error code. I think this reflects the concensus of the WG on
this issue. Obviously, all of this applies to the case where the MN is in a
network that does not support IPv6. 

I will send detailed text changes in a separate email. 

Thanks,
Hesham 

 > -----Original Message-----
 > From: Hesham Soliman [mailto:[email-masked]] 
 > Sent: Wednesday, March 28, 2007 5:33 PM
 > To: 'Keiichi SHIMA'
 > Cc: [email-masked]
 > Subject: [Mip6] concensus on [issue94] fixing encapsulation 
 > mechanism inIPv4 network
 > 
 > Kiichi, all, 
 > 
 > I think we've seen the different angles of this issue now 
 > and it's time to
 > close it. 
 > So I suggest that we choose one of the two options listed below. 
 > 
 > Folks, 
 > 
 > The "new" issue is about whether or not the MN can request 
 > one form of
 > tunnelling (i.e. UDP) when sending a BU to the HA. The two 
 > choices we have
 > are:
 > 
 > A. Add a flag that allows the MN to request UDP tunnelling interface
 > (independently of the presence of a NAT) from the HA, when 
 > sending the BU.
 > The HA can override the MN's request. Or, 
 > 
 > B. Do nothing. I.e. the MN sends the BU as described in the 
 > spec today and
 > the HA tells the MN in the BA whether it should use UDP 
 > tunnelling or IP in
 > IP. 
 > 
 > Please express your preference for one of the options above. 
 > Let's not make
 > things complicated and get into negotiating the tunnelling 
 > mechanism, one of
 > the two above will suffice. 
 > 
 > I'll leave it open till next Tuesday. 
 > 
 > Thanks,
 > Hesham
 > 
 > 
 > 
 > _______________________________________________
 > Mip6 mailing list
 > [email-masked]
 > https://www1.ietf.org/mailman/listinfo/mip6
 > 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6